# Transactions table

* Table name: transactions
* Columns: 14

## Brief Columns description

* merchantName: type: text, escaped merchant name
* txDescription: type:text, description of the transaction
* txToken: type:varchar(100), tti\_ of the token used for the transaction
* txAmount: type:text, raw amount of the token used for the transaction
* mmSeed: type:text, AES256 encrypted middleman account seed
* mmAddress: type:varchar(100), address of the middleman account
* txMemo: type:text, memo of the transaction
* txDeadline: type:varchar(100), unix timestamp of the transaction expiration
* txID: type:varchar(100), transaction ID
* txDestination: type:varchar(100), merchant's vite address
* mechantVerified: type:varchar(100), status of merchant verification (true/false)
* txHash: type:varchar(100), hash of the transaction that confirmations should be awaited for
* redirectURL: type:text, "Back to merchant" URL
* css: type:text, optional css used to style the merchant's name, settable in merchants table


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pay.imal.dev/database-schemas/transactions-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
